org.apache.uima

## Class UIMA_UnsupportedOperationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.uima.UIMARuntimeException
        - - org.apache.uima.UIMA_UnsupportedOperationException

- All Implemented Interfaces:
    Serializable, I18nExceptionI

      public class UIMA_UnsupportedOperationException
      extends UIMARuntimeException

  Thrown to indicate that the requested operation is not supported. This extends `RuntimeException` and so does not need to be declared in the throws clause of methods.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CAS_MULTIPLIER_NOT_SUPPORTED` Message key for a standard UIMA exception message: "The Flow class {0} does not support the production of new CASes in the middle of the flow and so cannot be deployed in an Aggregate AnalysisEngine that includes a CAS Multiplier component."
    `static String` | `NOT_MODIFIABLE` Message key for a standard UIMA exception message: "Attribute {0} of class {1} is not modifiable."
    `static String` | `SHARED_RESOURCE_NOT_RECONFIGURABLE` Message key for a standard UIMA exception message: "This is a shared resource and cannot be reconfigured."
    `static String` | `UNSUPPORTED_METHOD` Message key for a standard UIMA exception message: "Class {0} does not support method {1}."

    - ### Fields inherited from class org.apache.uima.UIMARuntimeException

      `CAS_RELEASE_NOT_ALLOWED_WHILE_WAITING_FOR_UIMA_AS, CAS_RELEASED_TO_WRONG_CAS_MANAGER, COPY_CAS_RANGE_TYPE_NAMES_NOT_EQUAL, DEFINE_CAS_POOL_CALLED_TWICE, ECORE_UNRESOLVED_PROXY, FEATURE_NOT_FOUND_DURING_CAS_COPY, ILLEGAL_ADDING_OF_NEW_META_INFO_AFTER_CAS_DEFINED, ILLEGAL_CAS_COPY_TO_SAME_CAS, ILLEGAL_FS_FEAT_UPDATE, INCOMPATIBLE_TAF_JNI_LIBRARY, INTERNAL_ERROR, NOT_SUPPORTED_NO_HEAP_IN_UIMA_V3, REQUESTED_TOO_MANY_CAS_INSTANCES, RESULT_SPEC_NULL, STANDARD_MESSAGE_CATALOG, TYPE_NOT_FOUND_DURING_CAS_COPY, UIMA_CONTEXT_NULL, UIMA_ECORE_NOT_FOUND, UNSUPPORTED_CAS_COPY_TO_OR_FROM_BASE_CAS, UNSUPPORTED_CAS_INTERFACE, VIEW_NOT_PART_OF_CAS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIMA_UnsupportedOperationException()` Creates a new exception with a null message.
    `UIMA_UnsupportedOperationException(String aMessageKey, Object[] aArguments)` Creates a new exception with a message from the `UIMARuntimeException.STANDARD_MESSAGE_CATALOG`.
    `UIMA_UnsupportedOperationException(String aMessageKey, Object[] aArguments, Throwable aCause)` Creates a new exception with the specified cause and a message from the `UIMARuntimeException.STANDARD_MESSAGE_CATALOG`.
    `UIMA_UnsupportedOperationException(String aResourceBundleName, String aMessageKey, Object[] aArguments)` Creates a new exception with a the specified message.
    `UIMA_UnsupportedOperationException(String aResourceBundleName, String aMessageKey, Object[] aArguments, Throwable aCause)` Creates a new exception with the specified message and cause.
    `UIMA_UnsupportedOperationException(Throwable aCause)` Creates a new exception with the specified cause and a null message.

  - ### Method Summary

    - ### Methods inherited from class org.apache.uima.UIMARuntimeException

      `getArguments, getCause, getLocalizedMessage, getMessage, getMessageKey, getResourceBundleName, initCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.I18nExceptionI

      `getLocalizedMessage, hasMessageKey`

- - ### Field Detail

    - #### UNSUPPORTED_METHOD

          public static final String UNSUPPORTED_METHOD

      Message key for a standard UIMA exception message: "Class {0} does not support method {1}."
      See Also:
        Constant Field Values

    - #### NOT_MODIFIABLE

          public static final String NOT_MODIFIABLE

      Message key for a standard UIMA exception message: "Attribute {0} of class {1} is not modifiable."
      See Also:
        Constant Field Values

    - #### SHARED_RESOURCE_NOT_RECONFIGURABLE

          public static final String SHARED_RESOURCE_NOT_RECONFIGURABLE

      Message key for a standard UIMA exception message: "This is a shared resource and cannot be reconfigured."
      See Also:
        Constant Field Values

    - #### CAS_MULTIPLIER_NOT_SUPPORTED

          public static final String CAS_MULTIPLIER_NOT_SUPPORTED

      Message key for a standard UIMA exception message: "The Flow class {0} does not support the production of new CASes in the middle of the flow and so cannot be deployed in an Aggregate AnalysisEngine that includes a CAS Multiplier component."
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIMA_UnsupportedOperationException

          public UIMA_UnsupportedOperationException()

      Creates a new exception with a null message.

    - #### UIMA_UnsupportedOperationException

          public UIMA_UnsupportedOperationException(Throwable aCause)

      Creates a new exception with the specified cause and a null message.
      Parameters:
        `aCause` - the original exception that caused this exception to be thrown, if any

    - #### UIMA_UnsupportedOperationException

          public UIMA_UnsupportedOperationException(String aResourceBundleName,
                                                    String aMessageKey,
                                                    Object[] aArguments)

      Creates a new exception with a the specified message.
      Parameters:
        `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

    - #### UIMA_UnsupportedOperationException

          public UIMA_UnsupportedOperationException(String aResourceBundleName,
                                                    String aMessageKey,
                                                    Object[] aArguments,
                                                    Throwable aCause)

      Creates a new exception with the specified message and cause.
      Parameters:
        `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
        `aCause` - the original exception that caused this exception to be thrown, if any

    - #### UIMA_UnsupportedOperationException

          public UIMA_UnsupportedOperationException(String aMessageKey,
                                                    Object[] aArguments)

      Creates a new exception with a message from the `UIMARuntimeException.STANDARD_MESSAGE_CATALOG`.
      Parameters:
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

    - #### UIMA_UnsupportedOperationException

          public UIMA_UnsupportedOperationException(String aMessageKey,
                                                    Object[] aArguments,
                                                    Throwable aCause)

      Creates a new exception with the specified cause and a message from the `UIMARuntimeException.STANDARD_MESSAGE_CATALOG`.
      Parameters:
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
        `aCause` - the original exception that caused this exception to be thrown, if any

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.